# class REXML::SyncEnumerator

### Public Class Methods

new(*enums) click to toggle source

Creates a new `SyncEnumerator` which enumerates rows of given `Enumerable` objects.

    # File lib/rexml/syncenumerator.rb, line 8
    def initialize(*enums)
      @gens = enums
      @length = @gens.collect {|x| x.size }.max
    end

### Public Instance Methods

each() { |collect {|x| x}| ... } click to toggle source

Enumerates rows of the `Enumerable` objects.

    # File lib/rexml/syncenumerator.rb, line 26
    def each
      @length.times {|i|
        yield @gens.collect {|x| x[i]}
      }
      self
    end

length() click to toggle source

Returns the number of enumerated `Enumerable` objects, i.e. the size of each row.

    # File lib/rexml/syncenumerator.rb, line 21
    def length
      @gens.length
    end

size() click to toggle source

Returns the number of enumerated `Enumerable` objects, i.e. the size of each row.

    # File lib/rexml/syncenumerator.rb, line 15
    def size
      @gens.size
    end